<?php

class WC_TA_Admin_CNcode {

	/**
	 * The setup method
	 */
	public function setup() {
		// Display Fields
		$setting_data = get_option('woocommerce_taxamo_settings');
		
		if (!empty($setting_data)) {
			add_action('woocommerce_product_options_general_product_data', array( $this, 'woocommerce_product_custom_fields'));
			// Save Fields
			add_action('woocommerce_process_product_meta', array( $this, 'woocommerce_product_custom_fields_save'));
		}	
	}


	public function woocommerce_product_custom_fields() {
		global $woocommerce, $post;
		echo '<div class="taxamo_product_cn_code">';
		//Custom Product Number Field
		woocommerce_wp_text_input(
			array(
				'id' => 'taxamo_product_cn_code',
				'placeholder' => '',
				'label' => __('Vertex product CN code', 'woocommerce'),
				'type' => 'text',
			)
		);

		echo '</div>';
	}

	public function woocommerce_product_custom_fields_save( $post_id) {
		
		if (wp_verify_nonce( isset($_REQUEST['_wpnonce']), 'my-nonce' ) ) {
			return false;
		}

		if (!empty($_POST['taxamo_product_cn_code'])) {
			opmc_hpos_update_post_meta($post_id, 'taxamo_product_cn_code', esc_attr(trim(sanitize_text_field($_POST['taxamo_product_cn_code']))));
		}
	
	}

}
