<?php 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
add_action( 'admin_head', 'process_admin_options' );
function process_admin_options() {
	
	echo '<html>
		<head>
		</head>
		<body class="modale-body">
			<div class="container">
				<div class="row d-flex justify-content-center">
		        	<!-- <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"> Launch Taxamo assure settings wizard </button> -->
		    	</div>
				<!-- Modal -->
				<div class="row d-flex justify-content-center">
					<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-lg modal-dialog-centered" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="exampleModalLabel"> Taxamo Assure Settings Wizard</h5>
									<button type="button" class="close" id="close_btn" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">×</span> 
									</button>
								</div>
								<div class="modal-body">
									<div id="smartwizard" class="sw-main sw-theme-dots next-prev-bttn">
										<ul class="nav nav-tabs step-anchor">
											<li class="nav-item active">Environment<a href="#environment" class="nav-link"></a>
											</li>
											<li class="nav-item">Token<a href="#token" class="nav-link"></a>
											</li>
											<li class="nav-item">VAT<a href="#vat" class="nav-link"></a>
											</li>
											<li class="nav-item">Invoices<a href="#invoices" class="nav-link"></a>
											</li>
											<li class="nav-item">Debug<a href="#debug" class="nav-link"></a>
											</li>
											<li class="nav-item">Pricing<a href="#pricing" class="nav-link"></a>
											</li>
											<li class="nav-item">Success<a href="#success" class="nav-link"></a>
											</li>
											
										</ul>
										<div class="sw-container tab-content modal-cont">
											<div id="environment" class="tab-pane step-content" style="display: block;">
												<div class="row m-0">
													<div class="col-md-10 mx-auto"> 
														<label for="environment">Environment</label>
														<div class="scrll-cont">
														<select name="environment" id="environment" style="width: 100%; height: 38px; margin-bottom: 10px;">
														  	<option selected="selected" value="sandbox">Sandbox</option>
														  	<option value="production">Production</option>
														</select>

														<p><strong>Sandbox:</strong> You should use sandbox for testing the service.<br>
														<strong>Production:</strong> You should use production when you want to go live.</p>
														</div>
													</div>
												</div>
											</div>
											<div id="token" class="tab-pane step-content">
												<div class="row m-0">
													<div class="col-md-10 mx-auto">
														<label for="seller_token">Seller Token</label>
														<div class="scrll-cont">
														<input type="text" class="form-control" id="seller_token" placeholder="" required style="margin-bottom: 10px;"> 
														<p>You can obtain your Seller token from your Taxamo account. Please login to <a href="https://manage.sandbox.marketplace.taxamo.com/auth.html" target="blank">Sandbox</a> or <a href="https://manage.marketplace.taxamo.com/auth.html" target="blank">Production</a>, and then navigate:<br>Dashboard > Settings > View API tokens.</p>
														</div>
													</div>
												</div>
											</div>

											<div id="vat" class="tab-pane step-content">
												<div class="row m-0">
													<div class="col-md-10 mx-auto"> 
														<input type="checkbox" class="form-control chekbox-x" id="vat_numer" required="">
														<label for="vat_numer" class="label-text">Enable VAT Number Field</label> <div class="tooltips woocommerce-help-tip">
														  <span class="tooltiptexts">Tick to allow businesses to enter their VAT number during checkout.</span>
														</div>
														<div class="scrll-cont">
														<p>Allow businesses to enter their VAT number during checkout. Validated business transactions will be VAT exempt.</p>
														<p>Note: If unsure, this option can be configured in the settings later.</p>
														</div>
				 									</div>
												</div>
											</div>

											<div id="invoices" class="tab-pane step-content">
												<div class="row m-0">
													<div class="col-md-10 mx-auto"> 
														<input type="checkbox" class="form-control chekbox-x" id="invoice" required=""> 
														<label for="invoice" class="label-text">Provide Invoice Link</label>
														<div class="tooltips woocommerce-help-tip">
														  <span class="tooltiptexts">Tick to provide customer with a link to their Taxamo Assure invoice after checkout.</span>
														</div>
														<div class="scrll-cont">
														<p>Taxamo Assure will send the customer the sole VAT invoice for their Assure transactions via email. Additionally, a link can be offered to the customer to see their invoice after checkout, if selected here.<br>As an optional step: you can personalise the invoice template in your Taxamo Assure account. Please login to <a href="https://manage.sandbox.marketplace.taxamo.com/auth.html" target="blank">Sandbox</a> or <a href="https://manage.marketplace.taxamo.com/auth.html" target="blank">Production</a>, and then navigate:<br>Dashboard > Settings > Customize invoices.</p>
														<p>Note: If unsure, this option can be configured in the settings later.</p>
														</div>
													</div>
												</div>
											</div>

											<div id="debug" class="tab-pane step-content">
												<div class="row m-0">
													<div class="col-md-10 mx-auto"> 
														<input type="checkbox" class="form-control chekbox-x" id="debug_log" required="">
														
														<label for="debug_log" class="label-text">Debug Log</label>
														<div class="tooltips woocommerce-help-tip">
														  <span class="tooltiptexts">Tick to enable logging Taxamo Assure Plugin events.</span>
														</div>
														<div class="scrll-cont">
														<p>Log Taxamo Assure Plugin events. This is useful for Developers and the Taxamo Helpdesk to provide support and troubleshooting. You can view the logs within WooCommerce at:<br>Dashboard > WooCommerce > Status > <a href="' . esc_url( admin_url( 'admin.php?page=wc-status&tab=logs' ) ) . '" target="blank">Log</a></p>
														<p>Note: If unsure, this option can be configured in the settings later.</p>
														</div>														
													</div>
												</div>
											</div>

											<div id="pricing" class="tab-pane step-content">
												<div class="row m-0">
													<div class="col-md-10 mx-auto"> 
					
														<input type="checkbox" class="form-control chekbox-x" id="universal_price" required="">
										
														<label for="universal_price" class="label-text">Force Universal Pricing</label>
														<div class="tooltips woocommerce-help-tip">
														  <span class="tooltiptexts">Tick to enable consistent final pricing to customers in various juristictions.</span>
														</div>
														<div class="scrll-cont">
														<p>Customers will see the same product price across different jurisdictions, regardless of varying tax rates. Merchants absorb any differences in tax, ensuring a consistent pricing experience for customers.  Please refer to the <a href="https://docs.assure.taxamo.com/docs/why-use-taxamo-assure-physical#enable-universal-pricing-for-multiple-eu-member-states" target="blank">universal pricing docs</a> for further information. <br>In order for this option to be available you must set the following options on the <a href="' . admin_url( 'admin.php?page=wc-settings&tab=tax' ) . '" > Tax Options </a>page.

														<br><br>1. Prices Entered With Tax: <strong>Yes, I will enter prices inclusive of tax</strong>
														<br>2. Display Prices in the Shop: <strong>Including tax</strong> 
														<br>3. Display Prices During Cart and Checkout: <strong>Including tax</strong></p> 
														<p>Note: If unsure, this option can be configured in the settings later.</p>
														</div>
													</div>
												</div>
											</div>

											<div id="success" class="tab-pane step-content hide-btn">
												<div class="row m-0">
													<div class="col-md-12"> 

														<h2 class="fs-title mt-0 text-center">Success</h2>
														<div class="scrll-cont">
														<div class="row m-0 justify-content-center">
														
															<div class="text-center"> 
																<img src="https://img.icons8.com/color/96/000000/ok--v2.png" class="fit-image"> 
															</div>
														</div> <br>
														<div class="row m-0 justify-content-center">
															<div class="col-9 text-center">
																<h5>You Have Successfully Configured Taxamo Assure.</h5>
															</div>
														</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>

								<div class="ver-logo">
									<div class="vertex-logo">
										<p>Powered by <img src="' . esc_url(plugins_url('logo/logo.png', __FILE__)) . '" width="85px" height="" style="margin-top: -5px;"/></p>
									</div>
									<div class="opmc-logo">
										<p>Plugin developed by <img src="' . esc_url(plugins_url('logo/opmc-logo.png', __FILE__)) . '"width="75px" height="" style="margin-top: -8px;"/></p> 
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</body>
	</html>';
	

	$wizard = get_option('woocommerce_taxamo_wizard_set', true);

	if (isset($wizard) && 'yes' != $wizard && empty(get_option('woocommerce_taxamo_settings'))) {	?>
			<style>
				p.submit {
				display: none;
			}
			</style>
		<?php } ?>

<style>

body {
  background: #f0f0f1;
  color: #3c434a;
 }

 strong {
  font-weight: 600;
 }

 a.nav-link {
  pointer-events: none;
 }

 .next-prev-bttn .sw-btn-next {
  padding: 3px 10px 5px 10px !important;
  background: #57cb6c !important;
  border-color: transparent !important;
  color: white !important;
  border: none !important;
  font-size: 15px;
 }

 .next-prev-bttn .sw-btn-next:hover {
  border: none !important;
 }

 /*table.form-table {
    display: none;
}
.tabset {
    display: none;
}*/
 span.desc-row {
  display: inline-block;
  font-size: 14px !important;
 }

 button.btn.btn-primary {
  margin-top: 20px;
 }

 .btn-secondary:focus {
  box-shadow: none;
 }

 h5#exampleModalLabel {
  font-size: larger;
  font-weight: 600;
 }

.next-prev-bttn .sw-btn-prev {
    background: #062462;
    border: none !important;
    padding: 4px 0px 4px 0px !important;
    color: #fff !important;
    font-size: 15px !important;
}
 .modal-cont {
  min-height: auto !important;
  background: #f8f8f8 !important;
 }

 .scrll-cont {
  padding-right: 10px;
  height: 150px !important;
  overflow: auto;
 }

 label {
  font-weight: 600;
  font-size: 15px;
 }

 p {
  font-size: 14px !important;
  line-height: 1.6em;
 }

 h2 {
  font-size: 1.3em !important;
  margin-top: 16px !important;
  font-weight: 600 !important;
 }

 button.btn.btn-secondary.sw-btn-prev {
  position: absolute;
  margin: 0px 0px 0px -100px !important;
 }

 .form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: #80bdff;
  outline: 0;
  box-shadow: 0 0 0 0rem rgba(0, 123, 255, .25)
 }

 .btn-secondary:focus {
  box-shadow: 0 0 0 0rem rgba(108, 117, 125, .5)
 }

 .close:focus {
  box-shadow: 0 0 0 0rem rgba(108, 117, 125, .5)
 }

 .btn-toolbar.sw-toolbar.sw-toolbar-bottom.justify-content-end {
  justify-content: center !important;
  display: flex;
  margin: 20px 0px 20px 100px;
 }

 .modal-body {
  padding: 20px 0px;
 }

 .modal-header {
  border-bottom: 1px solid #e6eaef;
 }

 .sw-theme-dots .step-content {
  padding: 20px 0px 10px 0px !important;
  background: none;
 }

 .sw-theme-dots>ul.step-anchor {
  padding-bottom: 20px;
  border-bottom: 1px solid #e6eaef !important;
 }

 .nav-link {
  padding: 0.5rem 1.4rem !important;
 }

 .sw-theme-dots>ul.step-anchor:before {
  top: 54% !important;
  height: 4px !important;
 }

 .chekbox-x {
  margin-top: -10px !important;
 }

 label .label-text {
  margin-left: 5px !important;
 }

 .sw-theme-dots>ul.step-anchor>li {
  width: 14.2%;
  text-align: center;
  font-weight: 700;
  color: #ccc;
 }

 .sw-theme-dots>ul.step-anchor>li>a:after {
  left: 44% !important;
 }

 .sw-theme-dots>ul.step-anchor>li.active {
  color: #062462 !important;
 }

 .sw-theme-dots>ul.step-anchor>li.active>a:after {
  background: #062462 !important;
 }

 .sw-theme-dots>ul.step-anchor>li.done {
  color: #a0e19a !important;
 }

 .sw-theme-dots>ul.step-anchor>li.done>a:after {
  background: #a0e19a !important;
 }

 .vertex-logo {
  float: left;
 }

 .opmc-logo {
  float: right;
  display: flex;
  justify-centent: end;
 }

 .ver-logo {
  padding: 0px 15px;
 }

 #step-1 strong {
  font-weight: 600;
 }

 .ver-logo strong {
  font-weight: 600;
 }

 div#step-7 strong {
  font-weight: 600 !important;
 }

 .tooltips {
  margin-top: -10px;
  position: relative;
  display: inline-block;
  border-bottom: none;
  color: #062462;
  font-size: 18px;
 }

 .tooltips .tooltiptexts {
  visibility: hidden;
  width: 120px;
  background-color: #062462;
  color: #fff;
  text-align: center;
  border-radius: 3px;
  padding: 5px 0;
  position: absolute;
  z-index: 99;
  font-size: 13px;
  bottom: 20px;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
 }

 .tooltips .tooltiptexts::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
 }

 .tooltips:hover .tooltiptexts {
  visibility: visible;
  opacity: 1;
 }

 .modal-content {
  box-shadow: 0px 0px 60px #4e4e4e !important;
 }

 .close:focus {
  outline: none;
 }

 .woocommerce-layout__primary {
  margin: 0 !important;
 }

 .wrap {
  margin: 0px 20px 0 20px;
 }

 div#wpcontent {
  padding: 0;
 }

 .btn-secondary.disabled,
 .btn-secondary:disabled {
  border-color: transparent;
 }

 .modal {
  z-index: 99999;
 }

 @media screen and (max-width: 575px) {
  .modal-dialog {
   max-width: 95%;
  }

  .sw-theme-dots>ul.step-anchor>li {
   font-size: 12px;
   font-weight: 600;
  }
 }

 @media screen and (min-width: 576px) and (max-width: 768px) {
  .modal-dialog {
   max-width: 92%;
  }

  .sw-theme-dots>ul.step-anchor>li>a:before {
   bottom: 0px;
   left: 35%;
  }

  .sw-theme-dots>ul.step-anchor>li>a:after {
   bottom: 0px;
   left: 36% !important;
  }

  .sw-theme-dots>ul.step-anchor>li {
   font-size: 14px;
  }
 }

 @media screen and (min-width: 769px) and (max-width: 991px) {
  .modal-dialog {
   max-width: 80%;
  }

  .sw-theme-dots>ul.step-anchor>li>a:before {
   bottom: 0px;
   left: 35%;
  }

  .sw-theme-dots>ul.step-anchor>li>a:after {
   bottom: 0px;
   left: 36% !important;
  }

  .sw-theme-dots>ul.step-anchor>li {
   font-size: 14px;
  }
 }

 @media screen and (min-width: 1500px) and (max-width: 2600px) {
  .modal-dialog {
   max-width: 1000px;
  }

  .scrll-cont {
   padding-right: 10px;
   min-height: 250px !important;
   overflow: inherit !important;
  }

  p {
   font-size: 16px !important;
  }

  label {
   font-size: 17px !important;
  }
 }
</style>


<script type="text/javascript">$(document).ready(function(){
	$('#smartwizard').smartWizard({
	selected: 0,
	theme: 'dots',
	autoAdjustHeight:true,
	transitionEffect:'fade',
	showStepURLhash: false,
	});

	//$('#custNameNext').prop('disabled', true);

	  function validateNextButton() {
	    var buttonDisabled = $('#seller_token').val().trim() === '';
	    $('.sw-btn-next').prop('disabled', buttonDisabled);
	  }

  //$('#seller_token').on('keyup', validateNextButton);

  	$(".sw-btn-prev").button().click(function(){
  		var strprev = $('.sw-theme-dots>ul.step-anchor>li.active').find('a').text();
  		var stepsprev = strprev.replace(/[_\W]+/g, "");
  		if ('' == stepsprev) {

  			$('.sw-btn-next').prop('disabled', false);
  		}
  	});

	$(".sw-btn-next").button().click(function(){
		var str = $('.sw-theme-dots>ul.step-anchor>li.active').text();
		var steps = str.replace(/[_\W]+/g, "");

		if ('Token' == steps) {
			var sellerT_val = $('#seller_token').val();

			if (sellerT_val != '') {
				$('.sw-btn-next').prop('disabled', false);
			} else {
				$('.sw-btn-next').prop('disabled', true);

			}
			$('#seller_token').on('keyup', validateNextButton);
		}
		
		if ('Success' == steps) {

			var environment = $('#environment :selected').val();
			var seller_token = $('#seller_token').val();
			var vat_numer = $('#vat_numer').prop('checked');
			var invoice = $('#invoice').prop('checked');
			var universal_price = $('#universal_price').prop('checked');
			var debug_log = $('#debug_log').prop('checked');

			if (vat_numer === true) {
				vat_numer = 'yes';
			} else {
				vat_numer = 'no';
			}

			if (invoice === true) {
				invoice = 'yes';
			} else {
				invoice = 'no';
			}

			if (universal_price === true) {
				universal_price = 'yes';
			} else {
				universal_price = 'no';
			}

			if (debug_log === true) {
				debug_log = 'yes';
			} else {
				debug_log = 'no';
			}

			jQuery.ajax({
				method : 'POST',
				url : ajaxurl,
				data : { action : 'get_tap_wizard_data', environment : environment, seller_token : seller_token, vat_numer : vat_numer, invoice : invoice, universal_price : universal_price, debug_log : debug_log,},
				success : function(result) {
					console.log(result);
					//alert(result);
				   setTimeout(function(){
					   window.location.reload();
					}, 5000);
				}               
			});
		}
	   if ('Success' == steps) {
			   $(".btn-toolbar.sw-toolbar.sw-toolbar-bottom.justify-content-end").css("display", "none");
	   }
	}); 

	$("#close_btn").click(function(){
	  location.reload();
	});


});

</script>

<?php
	
}
