<?php

class WC_TA_Request_Refund extends WC_TA_Request {

	/**
	 * The constructor
	 *
	 * @param String $transaction_key
	 * @param String $line_key
	 * @param float $amount
	 */
	public function __construct( $transaction_key, $line_key, $amount, $get_reason ) {

		// Set request method and endpoint
		$this->set_request_methods( array( 'transactions', $transaction_key ) );
		$this->set_request_endpoint( 'refunds' );

		// Set the HTTP method
		$this->set_http_method( 'POST' );

		// Check for enable_v3
		if ('yes' === WC_TA_Integration::$enable_v3) {

			// Set the body
			$refund_req['refunds'] = array([
				'line_key' =>  $line_key,
				'refund_amount' => $amount,
				'refund_reason' => $get_reason
			]);

			$this->set_request_body($refund_req);

		} else {

			// Set the body
			$this->set_request_body( array(
				'line_key' => $line_key,
				'amount'   => floatval( $amount )
			) );
		}

		parent::__construct();
	}

}
